use serde::{Deserialize, Serialize};

#[derive(Deserialize, Debug)]
pub struct SubscriptionDelta {
    pub add: Vec<String>,
    pub remove: Vec<String>,
}

#[derive(Serialize, Default)]
pub struct SubscriptionDeltaResponse {
    pub add: Vec<String>,
    pub remove: Vec<String>,
    pub timestamp: i64,
}

#[derive(Serialize)]
pub struct UpdatedUrlsResponse {
    pub timestamp: i64,
    pub update_urls: Vec<(String, String)>,
}
